import { CrudHandler } from './CrudHandler';

export class KnexCrudHandler implements CrudHandler {
  protected table: string;
  protected columns: Array<string>;
  protected options: Record<string, unknown>;

  public constructor (
    table: string,
    columns: Array<string>,
    options: Record<string, unknown> = {}
  ) {
    this.table = table;
    this.columns = columns;
    this.options = options;
  }
}
